Package csb :: Package bio :: Package io :: Module noe :: Class SparkyPeakListReader

[frames] | no frames]

# Class SparkyPeakListReader

source code

            object --+
                     |
    BasePeakListReader --+
                         |
                        SparkyPeakListReader

Sparky NOE peak list parser.

Nested Classes
Inherited from `BasePeakListReader`: `__metaclass__`

Instance Methods

__init__(self, elements, connected) x.__init__(...) initializes x; see help(type(x)) for signature | source code

NOESpectrum

read(self, table) Parse a Sparky peak list table. | source code

Inherited from `BasePeakListReader`: `read_all`, `read_file` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, elements, connected)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `elements` (list of (str or EnumItem)) - list of element names for each dimension
  - `connected` (list of (int,int) tuples) - list of covalently connected dimension indices in the format: [(i1,i2),...]
Overrides: object.__init__
  (inherited documentation)

### read(self, table)

source code

Parse a Sparky peak list table.

Parameters:
  - `table` (str) - input peak list
Returns: NOESpectrum
Overrides: BasePeakListReader.read